export declare function up<TEntrances extends object, TInclude extends __EntranceKey<TEntrances> | EntranceKeyPattern, TExclude extends __EntranceKey<TEntrances> | EntranceKeyPattern>(entrances: TEntrances, match: {
    includes: TInclude[];
    excludes: TExclude[];
}): Promise<__PickEntrances<TEntrances, TInclude, TExclude>>;
export declare function up<TEntrances extends object, TInclude extends __EntranceKey<TEntrances> | EntranceKeyPattern>(entrances: TEntrances, includes: TInclude[]): Promise<__PickEntrances<TEntrances, TInclude, never>>;
export type EntranceKeyPattern = `${string}*${string}`;
type __EntranceKey<TEntrances extends object> = Extract<keyof TEntrances, string>;
type __PickEntrances<TEntrances extends object, TInclude extends string, TExclude extends string> = {
    [TKey in Exclude<Extract<keyof TEntrances, KeyPattern<TInclude>>, KeyPattern<TExclude>>]: Awaited<TEntrances[TKey]>;
};
type KeyPattern<TKeyPattern extends string> = TKeyPattern extends `${infer TPrefix}*${infer TPostfix}` ? `${TPrefix}${string}${TPostfix}` : TKeyPattern;
export {};
